Subject: Re: [PATCH 2/2] reflog: ignore expire-unreachable for "HEAD" reflog

From: Johannes Sixt <[email-masked]>
Date: Thu, 15 Apr 2010 14:58:29 +0200

Am 4/15/2010 14:30, schrieb Junio C Hamano:
> A reflog consists of entries, each of which records how you got to the
> current history by pointing to different commit objects.  Some entries
> matter more than others do.  Dead-end experiments stop mattering faster
> than others.  It is these _entries_ that we expire, because keeping them
> indefinitely is a wasteful clutter.

I have no problem with this point of view, i.e., that expiration is merely
about the entries, and that garbage-collecting objects is just a
side-effect of removed entries.

But I don't see yet, why an entry pointing to a dead-end experiment is
less important when it is an entry in a branch reflog than when it is an
entry in the HEAD reflog. Care to explain?

-- Hannes